Description

Supportanfrage

Unser Trainer hat noch einen Verbesserungsvorschlag für das Starten des launchers mit der Option Console:

Version ADTF 3.6.2

In the adtf_control.adtfsettings file I changed the start adtf launcher to additionally have the --console parameter. (since I also want to

have to console when I am launching directly from gui-control).

But I found that this gives a conflict when you start with adtf-control or adtf gui control from the Configuration Editor. There the

configuration of the launchers adds another --console option to the launcher call.

I checked this starting the adtf_launcher from the command line

adtf_launcher --session <session> --console --console

 this fails silently without any notice. I see the following improvement possibility

1.       This should just work like if you specify one --console or

2.       Instead of silently failing: report an error.

The workaround is clear, I can add another launcher to the adtf_control.adtfsettings and leave the original adtf launcher unchanged.

Lösung

Produktticket ACORE-10508 erstellt

History

#1 - 2020-04-23 11:09 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Launcher

- Affected Products ADTF 3.6.3 added

#2 - 2020-04-27 17:16 - hidden

- Project changed from 7 to Public Support

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10508
- Support Level changed from 2nd Level to 3rd Level

Hi Anja,

danke fürs melden, kann ich reproduzieren und ist auch im aktuellen Stand 3.7.0 noch so.

Hab ein Produktticket (ACORE-10508) erstellt, werden wir künftig fixen.

#3 - 2020-04-27 17:17 - hidden

- Customer set to ELEKTROBIT

- Department set to SUPPORT

#5 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
